[POST] .../v1/pos/chequepaymentoperation/get
Returns POS cheque payment operations. Use this method to retrieve payment operations of a POS cheque during payment review, receipt rendering or support diagnostics. The request requires document_uuid and supports filters by payment UUIDs, document_uuid, payment type IDs and storno exclusion, then returns result with a Payment array. The method checks the current request user and accepted cashier context before reading data; missing body, missing document_uuid, missing accepted cash register, lookup failures and storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| document_uuid | string | Cash register cheque UUID. |
| exclude_storno | bool | Exclude reversed and reversing payment line items. |
| payment_type_ids | int | Payment type IDs. |
| uuids | string | Cash receipt payment line item UUIDs. |
Request Example
{
"filters": [
{
"Field": "document_uuid",
"Operator": "Equal",
"Value": "string"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of Payment | Result object. |
Response Example
{
"ok": true,
"result": [
{
"change_uuid": "00000000-0000-0000-0000-000000000000",
"document_uuid": "00000000-0000-0000-0000-000000000000",
"has_change": true,
"has_storno": true,
"order": 1,
"payment_id": "string",
"storno_uuid": "00000000-0000-0000-0000-000000000000",
"type": {
"account": {
"code": "string",
"currency": {
"code_chr": "string",
"code_num": 1,
"deleted": true,
"exchange_rate": 1.0,
"id": 1,
"is_base": true,
"last_update": 1,
"name": "string"
},
"id": 1,
"last_update": 1,
"name": "string"
},
"enabled": "True",
"id": 1,
"image_url": "string",
"is_cash": true,
"kkm_code": 1,
"last_update": 1,
"name": "string",
"shortkey": 1
},
"uuid": "00000000-0000-0000-0000-000000000000",
"value": 1.0
}
]
}